#include <cstdio>
#include <cmath>
using namespace std;

long long int finds(int x,int y) {
    if ((x*y)<0) {
    return (abs(x)+abs(y));
    }
    else return abs(x-y);
    }


int main () {
    long long int x1,x2,y1,y2,s1,s2;
    scanf("%lld%lld%lld%lld",&x1,&y1,&x2,&y2);
    if (x1 == x2 || y1 == y2) {
        printf("2");
    }
    else {
        s1=finds(x1,y1);
        s2=finds(x2,y2);
        if (s1==s2) {
            printf("1");
        }
        else printf("0");
    }
    return 0;
    }